# ApplicationFramework
TKPCAF
MPrsStd

# MPrsStd Class Reference

Storage and Retrieval drivers for graphic
attributes. Transient attributes are defined in
package TPrsStd and persistent one are defined in
package PPrsStd
.

`#include <MPrsStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AddStorageDrivers (const Handle(MDF_ASDriverHSequence)&aDriverTable, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute storage drivers to <adrivertable>. .
static Standard_EXPORT void | AddRetrievalDrivers (const Handle(MDF_ARDriverHSequence)&aDriverTable, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute retrieval drivers to <adrivertable>. .

## Member Function Documentation

static Standard_EXPORT void MPrsStd::AddRetrievalDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverTable,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

static Standard_EXPORT void MPrsStd::AddStorageDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverTable,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

void MPrsStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MPrsStd::operator new | ( | size_t | size | ) | `[inline]`

void* MPrsStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MPrsStd.hxx